<?php
$template = <<<END
<!-- biz58_slide: スライドショー -->
<aside class="mainimg">
<!--{each item/list}-->
<img src="user_data/{val item/list/image}" class="{val item/list/class}">
<!--{/each}-->
</aside>
END;

$biz58_slide = array(						// ブロック
	"title" => "biz58スライドショー",	// ブロックの名称
	"name" => "biz58_slide",			// 名称、重複すると正しく動作しません
	"template" => $template,		// ブロックのテンプレート
	"input" => array(				// ブロックの入力定義
		"help" => array(
			"title" => "使い方",
			"type" => "comment",
			"link" => DOCUMENT1 . "/?act=biz58_slide",
			"class" => "notice",
		),
		"notice1" => array(
			"title" => "このブロックはトップページにしか使えません",
			"type" => "comment",
			"class"=> "notice",
		),
		"image1" => array(
			"title" => "画像1",
			"type" => "image",
		),
		"image2" => array(
			"title" => "画像2",
			"type" => "image",
		),
		"image3" => array(
			"title" => "画像3",
			"type" => "image",
		),
		"image4" => array(
			"title" => "画像4",
			"type" => "image",
		),
		"image5" => array(
			"title" => "画像5",
			"type" => "image",
		),
	),
	"repeat" => array("image"),
	"output" => "slide",		// 出力位置
	"func" => "func_biz58_slide"
);

block_add($biz58_slide);

function func_biz58_slide($def, $info)
{
	$list = array();
	for ($i = 1; $i <= 10; $i++) {
		if ($info["image" . $i]) {
			$f = Image::getData($info["image" . $i]);
			if ($f) {
				unset($item);
				$item["image"] = $f["save_name"];
				$item["class"] = "slide" . $i;
				$list[] = $item;
			}
		}
	}
	$info["list"] = $list;
	return $info;
}